PyReflectedFunction (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyReflectedFunction

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyReflectedFunction

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PyReflectedConstructor

public class PyReflectedFunction
extends PyObject

See Also:
  Serialized Form

Field Summary
`static PyClass` | `__class__`
`PyObject` | `__doc__`
`java.lang.String` | `__name__`
`org.python.core.ReflectedArgs[]` | `argslist`
`int` | `nargs`

Constructor Summary
`PyReflectedFunction(java.lang.reflect.Method method)`
`PyReflectedFunction(java.lang.String name)`
`PyReflectedFunction(java.lang.String name, PyClass c)`

Method Summary
`PyObject` | `__call__(PyObject[] args, java.lang.String[] keywords)` The basic method to override when implementing a callable object.
`PyObject` | `__call__(PyObject self, PyObject[] args, java.lang.String[] keywords)` A variant of the __call__ method with one extra initial argument.
`PyObject` | `_doget(PyObject container)`
`PyObject` | `_doget(PyObject container, PyObject wherefound)`
`boolean` | `_doset(PyObject container)`
`void` | `addMethod(java.lang.reflect.Method m)`
`PyReflectedFunction` | `copy()`
`boolean` | `handles(java.lang.reflect.Method method)`
`void` | `printArgs()`
`java.lang.String` | `toString()`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### __name__

    public java.lang.String __name__

### __doc__

    public PyObject __doc__

### argslist

    public org.python.core.ReflectedArgs[] argslist

### nargs

    public int nargs

### __class__

    public static PyClass __class__

Constructor Detail

### PyReflectedFunction

    public PyReflectedFunction(java.lang.String name,
                               PyClass c)

### PyReflectedFunction

    public PyReflectedFunction(java.lang.String name)

### PyReflectedFunction

    public PyReflectedFunction(java.lang.reflect.Method method)

Method Detail

### _doget

    public PyObject _doget(PyObject container)

  Overrides:
    `_doget` in class `PyObject`

### _doget

    public PyObject _doget(PyObject container,
                           PyObject wherefound)

  Overrides:
    `_doget` in class `PyObject`

### _doset

    public boolean _doset(PyObject container)

### copy

    public PyReflectedFunction copy()

### handles

    public boolean handles(java.lang.reflect.Method method)

### addMethod

    public void addMethod(java.lang.reflect.Method m)

### __call__

    public PyObject __call__(PyObject self,
                             PyObject[] args,
                             java.lang.String[] keywords)

  Description copied from class: `PyObject`
  A variant of the __call__ method with one extra initial argument. This variant is used to allow method invocations to be performed efficiently. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `self` - the first argument to the function.
    `args` - the last arguments to the function (including keyword arguments).
    `keywords` - the keywords used for all keyword arguments.

### __call__

    public PyObject __call__(PyObject[] args,
                             java.lang.String[] keywords)

  Description copied from class: `PyObject`
  The basic method to override when implementing a callable object. The first len(args)-len(keywords) members of args[] are plain arguments. The last len(keywords) arguments are the values of the keyword arguments.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `args` - all arguments to the function (including keyword arguments).
    `keywords` - the keywords used for all keyword arguments.

### printArgs

    public void printArgs()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage